## gate.creole.splitter
Class SentenceSplitter

    java.lang.Object
      |
      +--gate.util.AbstractFeatureBearer
            |
            +--gate.creole.AbstractResource
                  |
                  +--gate.creole.AbstractProcessingResource
                        |
                        +--gate.creole.AbstractLanguageAnalyser
                              |
                              +--gate.creole.splitter.SentenceSplitter

All Implemented Interfaces:
  Executable, FeatureBearer, LanguageAnalyser, NameBearer, ProcessingResource, Resource, Serializable

public class SentenceSplitter
extends AbstractLanguageAnalyser

A sentence splitter. This is module similar to a `gate.creole.nerc.Nerc` in the fact that it conatins a tokeniser, a gazetteer and a Jape grammar. This class is used so we can have a different entry in the creole.xml file describing the default resources and to add some minor processing after running the components in order to extract the results in a usable form.

See Also:
  Serialized Form

Inner classes inherited from class gate.creole.AbstractProcessingResource
`AbstractProcessingResource.InternalStatusListener, AbstractProcessingResource.IntervalProgressListener`

Field Summary
`private static boolean` `DEBUG`
`private String` `encoding`
`(package private) DefaultGazetteer` `gazetteer`
`private URL` `gazetteerListsURL`
`private String` `inputASName`
`private String` `outputASName`
`(package private) Transducer` `transducer`
`private URL` `transducerURL`

Fields inherited from class gate.creole.AbstractLanguageAnalyser
`corpus, document`

Fields inherited from class gate.creole.AbstractProcessingResource
`interrupted, progressListeners, statusListeners`

Fields inherited from class gate.creole.AbstractResource
`name, serialVersionUID`

Fields inherited from class gate.util.AbstractFeatureBearer
`features`

Constructor Summary
`SentenceSplitter()`

Method Summary
`void` `execute()` Starts the execution of this executable
`String` `getEncoding()`
`URL` `getGazetteerListsURL()`
`String` `getInputASName()`
`String` `getOutputASName()`
`URL` `getTransducerURL()`
`Resource` `init()` Initialise this resource, and return it.
`void` `interrupt()` Notifies all the PRs in this controller that they should stop their execution as soon as possible.
`void` `setEncoding(String newEncoding)`
`void` `setGazetteerListsURL(URL newGazetteerListsURL)`
`void` `setInputASName(String newInputASName)`
`void` `setOutputASName(String newOutputASName)`
`void` `setTransducerURL(URL newTransducerURL)`

Methods inherited from class gate.creole.AbstractLanguageAnalyser
`getCorpus, getDocument, setCorpus, setDocument`

Methods inherited from class gate.creole.AbstractProcessingResource
`addProgressListener, addStatusListener, cleanup, fireProcessFinished, fireProgressChanged, fireStatusChanged, isInterrupted, reInit, removeProgressListener, removeStatusListener`

Methods inherited from class gate.creole.AbstractResource
`checkParameterValues, getName, getParameterValue, getParameterValue, removeResourceListeners, setName, setParameterValue, setParameterValue, setParameterValues, setParameterValues, setResourceListeners`

Methods inherited from class gate.util.AbstractFeatureBearer
`getFeatures, setFeatures`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface gate.ProcessingResource
`isInterrupted, reInit`

Methods inherited from interface gate.Resource
`cleanup, getParameterValue, setParameterValue, setParameterValues`

Methods inherited from interface gate.util.FeatureBearer
`getFeatures, setFeatures`

Methods inherited from interface gate.util.NameBearer
`getName, setName`

Field Detail

### gazetteer

    DefaultGazetteer gazetteer

### transducer

    Transducer transducer

### transducerURL

    private URL transducerURL

### encoding

    private String encoding

### gazetteerListsURL

    private URL gazetteerListsURL

### DEBUG

    private static final boolean DEBUG

### inputASName

    private String inputASName

### outputASName

    private String outputASName

Constructor Detail

### SentenceSplitter

    public SentenceSplitter()

Method Detail

### init

    public Resource init()
                  throws ResourceInstantiationException

  Description copied from interface: `Resource`
  Initialise this resource, and return it.
  Overrides:
    `init` in class `AbstractProcessingResource`

### execute

    public void execute()
                 throws ExecutionException

  Description copied from interface: `Executable`
  Starts the execution of this executable
  Overrides:
    `execute` in class `AbstractProcessingResource`

### interrupt

    public void interrupt()

  Notifies all the PRs in this controller that they should stop their execution as soon as possible.
  Overrides:
    `interrupt` in class `AbstractProcessingResource`

### setTransducerURL

    public void setTransducerURL(URL newTransducerURL)

### getTransducerURL

    public URL getTransducerURL()

### setEncoding

    public void setEncoding(String newEncoding)

### getEncoding

    public String getEncoding()

### setGazetteerListsURL

    public void setGazetteerListsURL(URL newGazetteerListsURL)

### getGazetteerListsURL

    public URL getGazetteerListsURL()

### setInputASName

    public void setInputASName(String newInputASName)

### getInputASName

    public String getInputASName()

### setOutputASName

    public void setOutputASName(String newOutputASName)

### getOutputASName

    public String getOutputASName()